! Fortran Code establishing subroutine
! Computes the MOD of R1 and 256.0, and stores the 
! result in the argument NUM

            SUBROUTINE FortranCall (r1, num)
            ! Specify that the routine name is to be made 
            ! available to callers of the DLL and that the 
            ! external name should not have any prefix or suffix
            ! (directives separated for clarity)
            !DEC$ ATTRIBUTES DLLEXPORT :: FortranCall
            !DEC$ ATTRIBUTES ALIAS:'FortranCall' :: FortranCall

            REAL,INTENT(IN) :: r1 ! Input argument
            REAL,INTENT(OUT) :: num
			
            num = MOD (r1, 256.0)
			
			return
            END SUBROUTINE

